Wallet: Stop Manager, no reconfigure

This commit is contained in:
Daniel Pätzold
2026-03-29 14:40:39 +02:00
parent df0a792c74
commit 810e074fc8
+5 -1
View File
@@ -38,6 +38,10 @@ WALLETPATH_CFG="$SUDO_HOME/.local/share/kwalletd"
# Stop the daemon anyway if running
WALLET_PID=$( pgrep -u $SUDO_USER kwalletd6 )
if [[ ! -z ${WALLET_PID} ]]; then
MANAGER_PID=$( pgrep -u $SUDO_USER kwalletmanager5 )
if [[ ! -z ${MANAGER_PID} ]]; then
kill ${MANAGER_PID}
fi
kill ${WALLET_PID} && sleep 0.5 && echo "Service kwalletd6 was stopped."
if [[ $? -ne 0 ]]; then
echo "Kwallet Service could not be stopped, please check why."
@@ -97,7 +101,6 @@ su -c 'nohup kwalletd6 >/dev/null 2>&1 &' $SUDO_USER
sleep 1
#Check if kwalletd is enabled now
su -c "$(dirname $0)/qbus_wallet_exec.sh reconfigure" $SUDO_USER
QB_RESULT=$( su -c "$(dirname $0)/qbus_wallet_exec.sh isEnabled 2>/dev/null || true" $SUDO_USER )
if [[ "$QB_RESULT" != "true" ]]; then
echo "Error checking if kWallet service is activated. Cannot continue. Return of Check was:"
@@ -115,4 +118,5 @@ if [[ $? -ne 0 ]]; then
exit 1
fi
echo "Sucessfully opened Wallet ${WALLETNAME} with ID ${QB_RESULT}."
exit 0